Bug 1576063 - [abrt] gpaste: gtk_selection_data_set_pixbuf(): gpaste-daemon killed by SIGSEGV
Summary: [abrt] gpaste: gtk_selection_data_set_pixbuf(): gpaste-daemon killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gpaste
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7b9b5d669df1166ce5620d593c2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 17:06 UTC by Ben Liblit
Modified: 2019-05-28 20:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:08:57 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.16 KB, text/plain)
2018-05-08 17:06 UTC, Ben Liblit
no flags Details
File: cgroup (397 bytes, text/plain)
2018-05-08 17:06 UTC, Ben Liblit
no flags Details
File: core_backtrace (15.68 KB, text/plain)
2018-05-08 17:06 UTC, Ben Liblit
no flags Details
File: cpuinfo (1.31 KB, text/plain)
2018-05-08 17:06 UTC, Ben Liblit
no flags Details
File: dso_list (10.01 KB, text/plain)
2018-05-08 17:06 UTC, Ben Liblit
no flags Details
File: environ (1.53 KB, text/plain)
2018-05-08 17:06 UTC, Ben Liblit
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-08 17:06 UTC, Ben Liblit
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-08 17:06 UTC, Ben Liblit
no flags Details
File: maps (46.50 KB, text/plain)
2018-05-08 17:06 UTC, Ben Liblit
no flags Details
File: mountinfo (5.19 KB, text/plain)
2018-05-08 17:06 UTC, Ben Liblit
no flags Details
File: open_fds (950 bytes, text/plain)
2018-05-08 17:06 UTC, Ben Liblit
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2018-05-08 17:06 UTC, Ben Liblit
no flags Details

Description Ben Liblit 2018-05-08 17:06:42 UTC
Version-Release number of selected component:
gpaste-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/gpaste/gpaste-daemon
crash_function: gtk_selection_data_set_pixbuf
executable:     /usr/libexec/gpaste/gpaste-daemon
journald_cursor: s=7faa300d4cc54c9181c3e4127b88f417;i=279b3;b=0da49cb9addc4fa483077704fb49da34;m=de8bdb32c;t=56ba4ed0189dc;x=4ac22714429e4a90
kernel:         4.16.5-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            29364

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_selection_data_set_pixbuf at gtkselection.c:1714
 #4 g_signal_emit_by_name at gsignal.c:3487
 #5 gtk_selection_invoke_handler at gtkselection.c:3083
 #6 gtk_selection_convert at gtkselection.c:1155
 #7 g_paste_clipboards_manager_targets_ready at src/libgpaste/core/gpaste-clipboards-manager.c:299
 #8 selection_received at gtkclipboard.c:960
 #12 g_signal_emit_by_name at gsignal.c:3487
 #13 gtk_selection_retrieval_report at gtkselection.c:3047
 #14 gtk_selection_convert at gtkselection.c:1159
 #23 _gtk_clipboard_handle_event at gtkclipboard.c:2031

Potential duplicate: bug 1571498

Comment 1 Ben Liblit 2018-05-08 17:06:46 UTC
Created attachment 1433346 [details]
File: backtrace

Comment 2 Ben Liblit 2018-05-08 17:06:47 UTC
Created attachment 1433347 [details]
File: cgroup

Comment 3 Ben Liblit 2018-05-08 17:06:48 UTC
Created attachment 1433348 [details]
File: core_backtrace

Comment 4 Ben Liblit 2018-05-08 17:06:49 UTC
Created attachment 1433349 [details]
File: cpuinfo

Comment 5 Ben Liblit 2018-05-08 17:06:50 UTC
Created attachment 1433350 [details]
File: dso_list

Comment 6 Ben Liblit 2018-05-08 17:06:51 UTC
Created attachment 1433351 [details]
File: environ

Comment 7 Ben Liblit 2018-05-08 17:06:52 UTC
Created attachment 1433352 [details]
File: exploitable

Comment 8 Ben Liblit 2018-05-08 17:06:53 UTC
Created attachment 1433353 [details]
File: limits

Comment 9 Ben Liblit 2018-05-08 17:06:54 UTC
Created attachment 1433354 [details]
File: maps

Comment 10 Ben Liblit 2018-05-08 17:06:55 UTC
Created attachment 1433355 [details]
File: mountinfo

Comment 11 Ben Liblit 2018-05-08 17:06:56 UTC
Created attachment 1433356 [details]
File: open_fds

Comment 12 Ben Liblit 2018-05-08 17:06:57 UTC
Created attachment 1433357 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-05-02 21:49:31 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 20:08:57 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.